FORMS(3)

NAME
field_just, set_field_just - form library

LIBRARY
libform

SYNOPSIS
#include <form.h>
int
field_just(FIELD *field);
int
set_field_just(FIELD *field, int justification);

DESCRIPTION
Field justification is only applied to static fields, a dynamic field will not be justified. The default justification for a field is NO_JUSTIFICATION. The field_just() will return the current justification value of the given field and the justification may be set by calling the set_field_just() function.

PARAMETERS
The following are the valid justifications for a field:

NO_JUSTIFICATION
    No justification is to be applied to the field. In practice, this is the same as JUSTIFY_LEFT.
JUSTIFY_RIGHT
    The field will be right justified. That is, the end of each line will be butted up against the right hand side of the field.
JUSTIFY_LEFT
    The field will be left justified. That is, the start of each line will be butted up against the left hand side of the field.
JUSTIFY_CENTER
    The field will be centre justified, padding will be applied to either end of the line to make the line centred in the field.

RETURN VALUES
The functions will return one of the following error values:

E_OK
    The function was successful.
E_CURRENT
    The field specified is the currently active one on the form.
E_BAD_ARGUMENT
    A bad argument was passed to the function.

SEE ALSO
curses(3), forms(3)

NOTES
The header <form.h> automatically includes both <curses.h> and <eti.h>.